Public Class Emp
    Private mId As String
    Private mName As String
    Private mType As String
    Private mWkSal As Single
    Private Shared mInCt As Integer = 0
    Public Sub New()
        mInCt += 1
    End Sub
    Public Property ID() As String
        Get
            Return mId
        End Get
        Set(ByVal Value As String)
            mId = Value
        End Set
    End Property
    Public Property Name() As String
        Get
            Return mName
        End Get
        Set(ByVal Value As String)
            mName = Value
        End Set
    End Property
    Public Property Type() As String
        Get
            Return mType
        End Get
        Set(ByVal Value As String)
            mType = Value
        End Set
    End Property
    Public Property WkSal() As Single
        Get
            Return mWkSal
        End Get
        Set(ByVal Value As Single)
            mWkSal = Value
        End Set
    End Property
    Public ReadOnly Property YrSal() As Single
        Get
            If mWkSal > 0 Then
                Return (mWkSal * 52)
            Else
                Return 0
            End If
        End Get
    End Property
    Public Shared ReadOnly Property InCt() As Integer
        Get
            Return mInCt
        End Get
    End Property
    Public Function msgStr() As String
        Return ID & " - " & Name & " - " & _
            Type & " - " & FormatCurrency(WkSal) & _
            " - " & FormatCurrency(YrSal)
    End Function
End Class
